#pragma once

#include "cf/bin.h"
#include "aria.h"

class crypto
{
private:
	CHEV_ARIA_INFO info;

public:
	crypto();

	void setKey(cf::bin & key);

	cf::bin sha256(cf::bin & input);

	cf::bin encrypt(cf::bin & input);

	cf::bin decrypt(cf::bin & input);

	cf::bin getPaddingBytes(int blockSize, int inputSize);
};